# TdApi.PushMessageContentPhoto (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PushMessageContentPhoto

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PushMessageContentPhoto

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PushMessageContent
it.tdlight.jni.TdApi.PushMessageContentPhoto

Enclosing class:
  TdApi

public static final class TdApi.PushMessageContentPhoto extends TdApi.PushMessageContent
A photo message.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`caption`
Photo caption.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`isPinned`
True, if the message is a pinned message with the specified content.
`boolean`
`isSecret`
True, if the photo is secret.
`TdApi.Photo`
`photo`
Message content; may be null.

## Constructor Summary

Constructors
Constructor
Description
`PushMessageContentPhoto()`
A photo message.
`PushMessageContentPhoto(TdApi.Photo photo, String caption, boolean isSecret, boolean isPinned)`
A photo message.
`PushMessageContentPhoto(DataInput input)`
A photo message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### photo

public TdApi.Photo photo
Message content; may be null.

### caption

public String caption
Photo caption.

### isSecret

public boolean isSecret
True, if the photo is secret.

### isPinned

public boolean isPinned
True, if the message is a pinned message with the specified content.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### PushMessageContentPhoto

public PushMessageContentPhoto()
A photo message.

### PushMessageContentPhoto

public PushMessageContentPhoto(TdApi.Photo photo, String caption, boolean isSecret, boolean isPinned)
A photo message.

Parameters:
  `photo` - Message content; may be null.
  `caption` - Photo caption.
  `isSecret` - True, if the photo is secret.
  `isPinned` - True, if the message is a pinned message with the specified content.

### PushMessageContentPhoto

public PushMessageContentPhoto(DataInput input) throws IOException
A photo message.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`